package com.cool.store.enums;

/**
 * @Auther: WangShuo
 * @Date: 2024/04/28/下午6:46
 * @Version 1.0
 * @注释:
 */

public enum DesignPhaseEnum {
    //设计阶段,平面图，施工图
    DESIGN_PHASE_ACCEPTANCE_FAILED(0,"验收未通过"),
    DESIGN_PHASE_NOT_START(1, "未开始"),
    DESIGN_PHASE_ACCEPTANCE_DESIGNING(2, "设计中"),
    DESIGN_PHASE_ACCEPTED_NOT(3, "未验收"),
    DESIGN_PHASE_ACCEPTANCE_FAILEDS(0,"验收未通过"),
    DESIGN_PHASE_AUDIT_WAIT(5,"待审批"),
    DESIGN_PHASE_AUDIT_FAIL(6,"审批驳回"),
    DESIGN_PHASE_AUDIT_ING(7,"审批中"),
    DESIGN_PHASE_AUDIT_DISCARD (8,"审批作废"),
    DESIGN_PHASE_AUDIT_PASS(9,"审批通过"),
    DESIGN_PHASE_AUDIT_ACCEPTANCE_FAIL(10,"审批验收未通过"),
    DESIGN_PHASE_ACCEPTANCE_PASS (11,"验收通过");

    private Integer code;

    private String message;

    DesignPhaseEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
